Skip to main content
PATCH
/
orgs
/
{orgId}
/
webhooks
/
{webhookId}
Updates the specified webhook's configuration
curl --request PATCH \
  --url https://api.zippendo.com/orgs/{orgId}/webhooks/{webhookId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "url": "<string>",
  "events": [
    "shipment.created"
  ],
  "isActive": true
}
'
{
  "id": "<string>",
  "name": "<string>",
  "url": "<string>",
  "secret": "<string>",
  "events": [
    "<string>"
  ],
  "isActive": true,
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

JWT access token or API token (prefixed with zipp_)

Path Parameters

orgId
string
required

Organization ID

webhookId
string
required

Webhook ID

Body

application/json
name
string

Webhook name

Required string length: 1 - 100
url
string<uri>

Webhook endpoint URL

events
enum<string>[]

Events to subscribe to

Minimum array length: 1
Available options:
shipment.created,
shipment.updated,
shipment.dispatched,
shipment.cancelled,
shipment.error,
order.created,
order.updated,
order.cancelled,
tracking.updated
isActive
boolean

Whether the webhook is active

Response

Default Response

id
string
required
name
string
required
url
string
required
secret
string
required
events
string[]
required
isActive
boolean
required
createdAt
string
required
updatedAt
string
required